Daily maximum power
curl --request GET \
--url https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powersimport requests
url = "https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"maxPowers": [
{
"date": "2023-03-01T00:00:00+01:00",
"value": 3240
}
],
"maxMaxPower": {
"date": "2023-03-23T00:00:00+01:00",
"value": 5200
},
"units": {
"value": "WH"
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.Electric energy consumptions
Daily maximum power
The service returns the daily maximal power of a given site between two specified dates.
GET
/
v3
/
sites
/
{site-id}
/
elec-max-powers
Daily maximum power
curl --request GET \
--url https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powersimport requests
url = "https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v3/sites/{site-id}/elec-max-powers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"maxPowers": [
{
"date": "2023-03-01T00:00:00+01:00",
"value": 3240
}
],
"maxMaxPower": {
"date": "2023-03-23T00:00:00+01:00",
"value": 5200
},
"units": {
"value": "WH"
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}This response has no body data.Path Parameters
The site identifier
Query Parameters
The starting date (excluded) to return daily maximal power from. If not specified, it will be set using the tenant history limit configuration.
The ending date (included) until which to return daily maximal power. If not specified, it will be set with the current date.
Categories of the requested power. The default values depend on the tenant. Allowed values : SUPPLIER, MARKETER, RTM
Available options:
SUPPLIER, RTM, MARKETER